cc.Class({
    extends: cc.Component,

    properties: {
    },

    navigateToRankPage: function () {
        var self = this
        self.game.clickSound()
        self.game.classroom.active = false
        self.game.index.active = false
        self.game.board.active = false
        self.game.teacher.active = false
        self.game.failure.active = false
        self.game.success.active = false
        self.game.rank.active = true
        self.game.gameState = 'stop'
    },

    onLoad: function () {
        var self = this
        self.node.on(cc.Node.EventType.TOUCH_START, (event) => {
            this.navigateToRankPage()
        })
    }
});
